# Get user's liked artists
URL: https://musicapi.com/docs/reference/list-artists.md

`GET https://api.musicapi.com/api/{integrationUserUUID}/artists`

Section: Read and write a user's library.
Product: MusicAPI Core.
Auth: Basic, DevToken, DocsSession (any one of them). Use Basic with your Client ID and Client Secret from your server only.

This endpoint fetches liked artists from Music Service.

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `integrationUserUUID` | uuid | yes | The connected user: the `integrationUserUUID` from the sign-in callback. |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `nextParam` | string | no | Parameter returned in the response responsible for pagination. |
| `limitParam` | number | no | Specifies the maximum number of results per request, adjusted based on the limitations of the respective music service. Ignored if the service doesn't support such a limit. |

## Response 200

ok

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `results` | Artist[] | yes |  |
| `results[].id` | string | yes |  |
| `results[].entryId` | string \| null | yes | Identifier associated with an artist within a user's library. Artist entry id can be obtained during fetching artists from user's library. |
| `results[].name` | string | yes |  |
| `results[].imageUrl` | string \| null | yes |  |
| `results[].followers` | number \| null | yes |  |
| `nextParam` | string \| null | yes |  |
| `totalItems` | number \| null | yes |  |

```json
{
  "results": [
    {
      "id": "53XhwfbYqKCa1cC15pYq2q",
      "entryId": "53XhwfbYqKCa1cC15pYq2q",
      "name": "Imagine Dragons",
      "imageUrl": "https://i.scdn.co/image/ab6761610000e5ebab47d8dae2b24f5afe7f9d38",
      "followers": 53107521
    }
  ],
  "nextParam": "eyJvZmZzZXQiOjEwfQ==",
  "totalItems": 25
}
```

## Errors

- 404: Your account has no connected user with this uuid, or the item does not exist.
- 412: The user must sign in again (`IntegrationUserNotAuthenticated`).
- 429: Too many requests. Wait for the seconds in `Retry-After`.

## Example

```bash
curl https://api.musicapi.com/api/{integrationUserUUID}/artists \
  -u "$MUSICAPI_CLIENT_ID:$MUSICAPI_CLIENT_SECRET"
```
